# BMA Server Framework: core::TLSService Class Reference

core::TLSService Class Reference
Inheritance diagram for core::TLSService:
[legend]
Collaboration diagram for core::TLSService:
[legend]

## Public Member Functions

| TLSService (TLSServerSocket &server)
Public Member Functions inherited from core::Service
| Service ()
virtual void | init (TCPServerSocket *server)
void | removeFromSessionList (Session *session)
virtual void | sessionErrorHandler (std::string errorString, Session *session)

## Public Attributes

SSL_CTX * | ctx
Public Attributes inherited from core::Service
std::vector< Session * > | sessions
TCPServerSocket * | server
CommandList | commands
Public Attributes inherited from core::Object
std::string | name
std::string | tag

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/TLSService.h
- /home/barant/Development/BMA/server_core/ServerCore/TLSService.cpp